# TODO:
# - split into subpackages
#

%define		module	egenix-mx-experimental
%define		mxdir	%{py_sitedir}/mx

Summary:	eGenix mx-Extensions - EXPERIMENTAL package
Summary(pl.UTF-8):	eGenix mx-Extensions - pakiet EKSPERYMENTALNY
Name:		python-%{module}
Version:	0.7.0
Release:	9
License:	Copyright (c) 2000-2001, eGenix.com Software GmbH, All Rights Reserved (partly only for non-comercial use)
Group:		Libraries/Python
Source0:	http://www.egenix.com/files/python/%{module}-%{version}.tar.gz
# Source0-md5:	1cfedef4f3582ed72857afb2c567207e
URL:		http://www.lemburg.com/files/python/eGenix-mx-Extensions.html
BuildRequires:	gmp-devel
BuildRequires:	mpfr-devel
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python-egenix-mx-base
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The eGenix mx Extension Series are a collection of Python extensions
written in ANSI C and Python which provide a large spectrum of useful
additions to everyday Python programming.

This package includes experimental subpackages of the series. Please
understand that the software in these packages is still in alpha state
and does not meet the quality standards of production quality
software.

This software is brought to you by eGenix.com. The included
subpackages are either covered by the eGenix.com Public License or the
eGenix.com Commercial License and/or other licenses. Please check the
subpackage documentation for details or contact eGenix.com for more
license information.

%description -l pl.UTF-8
Kolekcja rozszerzeń dla języka Python napisana w ANSI C i Pythonie
dodająca szerokie spektrum użytecznych rozszerzeń dla programowania w
języku Python.

Ten pakiet zawiera eksperymentalne podpakiety z serii. Proszę mieć na
uwadze że oprogramowanie w tych pakietach jest ciągle w stanie alfa i
nie spełnia wymagań opgrogramowania w wersji produkcyjnej.

To oprogramowanie jest dostarczone przez eGenix.com. Załączone pakiety
są udostępniane przy użyciu eGenix.com Public License albo eGenix.com
Commercial License albo pod innymi licencjami. Należy sprawdzić
licencje dla poszczególnych podpakietów bądź skontaktować się z eGenix
bezpośrednio w tej sprawie.

%prep
%setup -q -n %{module}-%{version}

%build
env CFLAGS="%{rpmcflags}" %py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README mx/Number/Doc mx/Tidy/Doc mx/UID/Doc mx/URL/Doc

%dir %{mxdir}/Number
%dir %{mxdir}/Number/mxNumber
%attr(755,root,root) %{mxdir}/Number/mxNumber/*.so
%{mxdir}/Number/*.py[co]
%{mxdir}/Number/mxNumber/*.py[co]

%dir %{mxdir}/Tidy
%dir %{mxdir}/Tidy/mxTidy
%attr(755,root,root) %{mxdir}/Tidy/mxTidy/*.so
%{mxdir}/Tidy/*.py[co]
%{mxdir}/Tidy/mxTidy/*.py[co]

%dir %{mxdir}/UID
%dir %{mxdir}/UID/mxUID
%attr(755,root,root) %{mxdir}/UID/mxUID/*.so
%{mxdir}/UID/*.py[co]
%{mxdir}/UID/mxUID/*.py[co]

%dir %{mxdir}/URL
%dir %{mxdir}/URL/mxURL
%attr(755,root,root) %{mxdir}/URL/mxURL/*.so
%{mxdir}/URL/*.py[co]
%{mxdir}/URL/mxURL/*.py[co]
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-egenix-mx-experimental.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bb524e0
- release 9 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 770e768
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 20e92b6
- release 8

* Tue Jun 15 2010 Paweł Sikora <pluto@pld-linux.org> 855d90d
- release 7 (rebuild with mpfr-3.0.x)

* Tue Jun 15 2010 Paweł Sikora <pluto@pld-linux.org> 2fc8a05
- BR: mpfr-devel.

* Wed May 12 2010 sparky <sparky@pld-linux.org> 0bc4c6c
- BR: gmp-devel, python, python-devel, python-modules, rpm-pythonprov

* Mon Mar 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f2a4aca
- release 6

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e762e37
- release 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 95fa14f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0cf6a3e
- converted to UTF-8

* Sun Jan 09 2005 saq <saq@pld-linux.org> eead835
- missing pyreqeq, release 4

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 3f3a433
- spelling fixes, uppercases, etc.

* Wed Aug 18 2004 domelu <domelu@pld-linux.org> 6fbab0e
- rel 3

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 928490c
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> 142958f
- capitalization, tabs, other cosmetics

* Mon Dec 01 2003 Mateusz Korniak <matkor@pld-linux.org> ceb0fb2
- Release 2. Ac rebuild with changed Pythons ABI.

* Sun Jun 29 2003 Paweł Gołaszewski <blues@pld-linux.org> a27a84c
- cosmetics

* Thu Jun 12 2003 Mateusz Korniak <matkor@pld-linux.org> e3ebfe9
- Typo. ( python-module -> python-%{module}. Release 1.

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 375b29f
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 3d99e92
- massive attack s/pld.org.pl/pld-linux.org/

